/*  wmbday
 *  Copyright (C) 2003 astrAtis <steffen@x-berg.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


/* local includes */
#include "config.h"
#include "ring.h"
#include "date.h"
#include "wmbday.xbm"


/* system includes */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <signal.h>
#include <string.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <pwd.h>
#include <time.h>
#include <errno.h>
#ifdef LINUX
	#include <getopt.h>
#endif
#include <ctype.h>
#include <X11/Xlib.h>
#include <X11/xpm.h>
#include <X11/extensions/shape.h>


/* some definitions */
#define PATH_MAX 4096
#define VERSION "0.2a"
#define WHITESPACE " \t\r\n"


/* function declarations */
void get_user_homedir(); /* copies homedir of current user to mySettings.datafile */
void ParseCMDLine(int argc, char **argv); /* parses parameters given at command line */
void PrintHelp(); /* prints help text */
void PrintVersion(); /* prints version info */
Window CreateWindow(); /* creates the main window */
void signal_handler(int sig); /* handler for some signals we are interested in */
int LoadDatafile(void); /* loads data from file into the ring, calls one of the two functions below */
int _LoadDatafile_Simple(FILE *file); /* load a simple format data file (DD.MM.YYYY NAME) */
int _LoadDatafile_vCard(FILE *file);  /* load a vCard format data file (text file containing multiple vCards, like the KDE3 address book) */
int CreateWindowGC(); /* creates graphics context for our window */
void RedrawWindow(XEvent* theevent); /* redraws window... */
XColor GetColor(char* name);
void StartTimer();
void StopTimer();


struct settings {
	char datafile[PATH_MAX];
	XColor color_bg;
	XColor color_font;
	XColor color_hilight;
};
