/*  wmbday
 *  Copyright (C) 2003 astrAtis <steffen@x-berg.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "config.h"
#include "date.h"


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#ifdef LINUX
	#include <malloc.h>
#endif
#include <time.h>


struct ring {
	char name[50];
	int day;
	int month;
	int year;
	struct ring* next;
};


int ring_add(char* name, int day, int month, int year); /* adds a birthday to the list */
void ring_goto_date(int day, int month); /* makes "current" point to the person, whose birthday is next to date specified by "day"/"month"*/
void ring_get_next(struct ring* target[], int number); /* puts next "count" birthdays into "target" */
int ring_check_bday(int day, int month); /* checks for birthday on date specified by "day"/"month" */
void ring_clear(void); /* cleans up whole list */
